using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsDeviceRunHourly {
        public BemsDeviceRunHourly() {
            BemsDeviceRunHourlyCombine = new HashSet<BemsDeviceRunHourlyCombine>();
            BemsDeviceRunHourlyCost = new HashSet<BemsDeviceRunHourlyCost>();
        }
        //냉난방 운전최적제어
        [Display(Name = "현장고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "건물번호"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "냉난방구분"), Key]
        public short ServiceTypeId { get; set; }
        [Display(Name = "운전일자"), Key]
        public DateTime RunDate { get; set; }
        [Display(Name = "온도")]
        public double? Temperature { get; set; }
        [Display(Name = "부하량")]
        public int? Loads { get; set; }
        [Display(Name = "생산칼로리")]
        public int? Calorie { get; set; }
        [Display(Name = "습도")]
        public double? Humidity { get; set; }

        [ForeignKey("SiteId,BuildingId")]
        public virtual CmBuilding CmBuilding { get; set; }
        [ForeignKey(nameof(ServiceTypeId))]
        public virtual BemsServiceType ServiceType { get; set; }
        [InverseProperty("BemsDeviceRunHourly")]
        public virtual ICollection<BemsDeviceRunHourlyCombine> BemsDeviceRunHourlyCombine { get; set; }
        [InverseProperty("BemsDeviceRunHourly")]
        public virtual ICollection<BemsDeviceRunHourlyCost> BemsDeviceRunHourlyCost { get; set; }
    }
}
